proc graphicsPickSegment { prompt dataset_var string_var segment_var points_var collinear_var } {
upvar $dataset_var dataset
upvar $string_var string
upvar $segment_var segment
upvar $points_var points
upvar $collinear_var collinear
GuidoApp app "PICK SEGMENT"
$app setParam prompt $prompt
set return_code [$app invoke]
if { $return_code == "0" } {
set return_code [$app getParam return_value]
if { $return_code == "0" } {
set dataset [$app getParam dataset]
set string [$app getParam string]
set segment [$app getParam segment]
set points [$app getParam points]
set collinear [$app getParam collinear]
return 1
} else {
return 0
}
} else {
return 0
}
}
proc graphicsPickString { prompt dataset_var string_var } {
upvar $dataset_var dataset
upvar $string_var string
GuidoApp app "PICK STRING"
$app setParam prompt $prompt
set return_code [$app invoke]
if { $return_code == "0" } {
set dataset [$app getParam dataset]
set string [$app getParam string]
return 1
} else {
return 0
}
}
proc graphicsPickViewport { prompt viewport_var } {
upvar $viewport_var viewport
GuidoApp app "PICK VIEWPORT"
$app setParam prompt $prompt
set return_code [$app invoke]
if { $return_code == "0" } {
set return_code [$app getParam return_value]
if { $return_code == "0" } {
set viewport [$app getParam viewport_selected]
return 1
} else {
return 0
}
} else {
return 0
}
}
